package com.buglabs.dragonfly.cdt.poky.ui.utils;

import org.eclipse.jface.dialogs.Dialog;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.PlatformUI;

import com.buglabs.dragonfly.cdt.poky.ui.PokyActivator;
import com.buglabs.dragonfly.cdt.poky.ui.launch.PasswordDialog;

public class QEMUUtils {
	private static String password;

	public static void promptPassword() {
		PlatformUI.getWorkbench().getDisplay().syncExec(new Runnable(){
			public void run() {
				IWorkbenchWindow win = PlatformUI.getWorkbench().getActiveWorkbenchWindow();

				Shell s = new Shell();

				if (win != null) {
					s = win.getShell();
				} else {
					s = new Shell();
				}

				PasswordDialog d = new PasswordDialog(s, "Please enter password");
				int userSelection = d.open();
				if(userSelection == Dialog.OK){
					password = d.getPwd();
					PokyActivator.getDefault().setQEMUPassword(password);
				}
				else{
					d.close();
				}
			}

		});
	}
}
