package com.buglabs.dragonfly.cdt.poky.ui.launch;

import java.util.HashMap;
import java.util.Map;

import org.eclipse.core.runtime.CoreException;
import org.eclipse.debug.core.ILaunchConfigurationWorkingCopy;

public class PokyLaunchConfigurationInitializer {
	public static void initializeSystemProperties(ILaunchConfigurationWorkingCopy wc) throws CoreException {
		Map properties = wc.getAttribute(PokyLaunchConfigurationDelegate.PROPERTIES, new HashMap()); 
		
		//TODO: Need to make it user specific and issue error if no kernel or rootfs is available
		properties.put(PokyLaunchConfigurationDelegate.COMPILER, "/usr/local/poky/eabi-glibc/arm/arm-poky-linux-gnueabi/usr/include");
		properties.put(PokyLaunchConfigurationDelegate.KERNEL, "/home/akravets/dev/poky/bug.poky.build/zImage-2.6.23-pinky-3.1-qemuarm.bin");
		properties.put(PokyLaunchConfigurationDelegate.ROOTFS, "/home/akravets/dev/poky/bug.poky.build/bug-image-production-bug.ext2");
		wc.setAttribute(PokyLaunchConfigurationDelegate.PROPERTIES, properties);
	}
}
